
Smart Proxy - Feature #8210

Implemented caching for smart-proxy puppet classes

10/30/2014 03:51 AM - Stefan Julin

Status: Closed   

Priority: Normal   

Assignee:    

Category: Puppet   

Target version: 1.8.0   

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases: 1.6.1

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/236

  

Description

As a user I want the loading of puppet classes to go faster since if you have around 20k puppet modules it takes around 20 minutes

to load the puppet classes using the foreman smart-proxy. This attached fix introduce a caching mechanism for puppet classes so

the puppet manifests are only loaded if the modified time on the puppet module is newer then the latest cache time. See the three

attached rb files.

Related issues:

Related to Smart Proxy - Bug #10941: puppet classes cache not working right Closed 06/26/2015

Associated revisions

Revision 51c455b9 - 12/17/2014 09:17 AM - Ori Rabin

Fixes #8210 - Adding caching for smart-proxy puppet classes using Stefan Julin's implementation of cache

History

#1 - 10/30/2014 03:53 AM - Stefan Julin

- File class_scanner.rb added

- File environment.rb added

- File puppet_class.rb added

Main change is in the class_scanner.rb.

#2 - 10/30/2014 04:37 AM - Dominic Cleal

- Project changed from Foreman to Smart Proxy

- Category changed from Smart Proxy to Puppet

If you're looking to contribute the changes, please open a pull request through GitHub, it's how we propose and review patches.  

http://theforeman.org/contribute.html has more information.

#3 - 11/05/2014 04:47 AM - Stefan Julin

Hi Dominic, you are free to review the changes and check it in yourself and add it to a future release.

#4 - 11/10/2014 10:37 AM - Ohad Levy

- Related to Bug #2687: Performance issues with large ISC dataset (DHCP smart proxy) added

#5 - 11/10/2014 10:39 AM - Ohad Levy

- Related to deleted (Bug #2687: Performance issues with large ISC dataset (DHCP smart proxy))

#6 - 11/11/2014 04:34 AM - Ori Rabin

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/236 added
- Pull request deleted ()

#7 - 12/17/2014 10:01 AM - Ori Rabin

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 51c455b9749c917c0b0fc390a43b40a09a200554.

#8 - 12/17/2014 10:06 AM - Dominic Cleal

- translation missing: en.field_release set to 28

#9 - 06/26/2015 09:42 AM - Dominic Cleal

- Related to Bug #10941: puppet classes cache not working right added

Files

environment.rb 5.36 KB 10/30/2014 Stefan Julin

class_scanner.rb 6.69 KB 10/30/2014 Stefan Julin

puppet_class.rb 1.12 KB 10/30/2014 Stefan Julin
